About

Ruby : a dynamic, reflective, object-oriented, general-purpose programming language.

Installation

  • Download and install Neard.
  • If you already have installed Neard, stop it.
  • Download a Ruby version of your choice.
  • Extract archive in neard\tools\ruby\. Directory structure example :
[-] neard
  | [-] tools
  |  | [-] ruby
  |  |  | [-] ruby2.0.0.p648
  |  |     | neard.conf
  • Edit the neard.conf file and replace the key rubyVersion with the correct version.
  • Start Neard.

Infos

Neard uses a portable distribution of Ruby for Windows via RubyInstaller. Since Ruby 2.4, RubyInstaller is based on MSYS2 toolchain. If you want to compile C based ruby gems, you will have to download and install all necessary MSYS2 build tools by typing the command ridk install using by the official installer.

Ruby is not supported on Windows XP since 2.1 version.

Releases

: Default version.

Version Official date Module date Neard Download Verification
2.4.1.2.p111 2017/07/04 2017/07/11 >= 1.0.22 neard-ruby-2.4.1.2.p111-r3.7z [MD5] [SHA1] [SHA256] [SHA512]
2.3.3.p222 2016/12/07 2017/03/06 >= 1.0.22 neard-ruby-2.3.3.p222-r2.7z [MD5] [SHA1] [SHA256] [SHA512]
2.3.1.p112 2016/04/26 2016/11/10 >= 1.0.22 neard-ruby-2.3.1.p112-r1.7z [MD5] [SHA1] [SHA256] [SHA512]
2.2.6.p396 2016/12/07 2017/03/06 >= 1.0.22 neard-ruby-2.2.6.p396-r2.7z [MD5] [SHA1] [SHA256] [SHA512]
2.2.5.p319 2016/04/26 2016/11/10 >= 1.0.22 neard-ruby-2.2.5.p319-r1.7z [MD5] [SHA1] [SHA256] [SHA512]
2.1.9.p490 2016/03/30 2016/11/10 >= 1.0.22 neard-ruby-2.1.9.p490-r1.7z [MD5] [SHA1] [SHA256] [SHA512]
2.0.0.p648 2015/12/16 2016/11/10 >= 1.0.22 neard-ruby-2.0.0.p648-r1.7z [MD5] [SHA1] [SHA256] [SHA512]

View all releases